Bug 1856422 - cyrus-imapd-3.2.4 is available
Summary: cyrus-imapd-3.2.4 is available
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1887674 1859335
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-13 15:27 UTC by Upstream Release Monitoring
Modified: 2021-07-26 12:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2020-07-13 15:27:54 UTC
Latest upstream release: 3.2.2
Current version/release in rawhide: 3.0.13-7.fc33
URL: https://www.cyrusimap.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/9643/

Comment 1 Upstream Release Monitoring 2020-08-28 09:44:56 UTC
Latest upstream release: 3.2.3
Current version/release in rawhide: 3.0.13-7.fc33
URL: https://www.cyrusimap.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/9643/

Comment 2 Pavel Zhukov 2020-09-04 04:49:39 UTC
Note for Jason (and myself).
Working on update. Cyrus-timezones (ex vzic) packaged in rawhide. 
cyrus-imapd can be built but some tests are failed:
   4361:Cyrus::Delete.bz3781                                                    [FAILED]
   4412:Cyrus::Flags.max_userflags                                              [FAILED]
   4516:Cyrus::Master.service_dup_port                                          [FAILED]
   4554:Cyrus::Metadata.msg_replication_new_bot_mse_guh                         [FAILED]
   4556:Cyrus::Metadata.msg_replication_new_bot_mse_gul                         [FAILED]
   4610:Cyrus::Quota.reconstruct                                                [FAILED]
   4611:Cyrus::Quota.reconstruct_orphans                                        [FAILED]
   4628:Cyrus::Reconstruct.reconstruct_truncated                                [FAILED]
   4631:Cyrus::Rename.intermediate_cleanup                                      [FAILED]
   4665:Cyrus::Replication.splitbrain                                           [FAILED]
   4666:Cyrus::Replication.splitbrain_mailbox                                   [FAILED]
   4668:Cyrus::Replication.splitbrain_masterexpunge                             [FAILED]
   4671:Cyrus::Replication.splitbrain_replicaexpunge                            [FAILED]


Continue to work on it.

Comment 3 Pavel Zhukov 2020-09-04 07:07:46 UTC
For most of the test the issue is in syslog_replacement. It's set to True bug grep/match functions failed because of bogus filename.

Comment 4 Upstream Release Monitoring 2020-10-05 10:24:14 UTC
Latest upstream release: 3.2.4
Current version/release in rawhide: 3.0.13-13.fc34
URL: https://www.cyrusimap.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/9643/

Comment 5 Pavel Zhukov 2020-10-13 14:44:25 UTC
Finally I was able to build cyrus-imapd-3.2.4 which passes all tests but Rename.intermediate_cleanup. 
Will disable it in rawhide for now and report upstream. 
Cassandane used for this build: 17d372f65470ba2073998f77fd2c89439992c1a0
Broken by ab91497 (https://github.com/cyrusimap/cassandane/issues/96)

Comment 6 Fedora Admin user for bugzilla script actions 2021-03-18 00:14:05 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Fedora Admin user for bugzilla script actions 2021-03-18 12:29:57 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Fedora Admin user for bugzilla script actions 2021-07-26 12:44:29 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.